C-----------------------------------------------------------------------------
      SUBROUTINE NPSPEED    
C-----------------------------------------------------------------------------
C     DO-NOTHING SOUND SPEED PERTURBATION MODEL    
C     COMMON DECK "CC" INSERTED HERE               
      implicit double precision (a-h,o-z)
      DOUBLE PRECISION MODC
      COMMON/CC/MODC(4),CS,PCST,PCSR,PCSTH,PCSPH 
      COMMON/WW/ dum(10), MAXW,W(1000)
C     DELTA SOUND SPEED 175-199
C     COMMON DECK "B4" INSERTED HERE 
      INTEGER DCMX,DCNTBL,DCITBL,DCFRMTB,IDSDC(10)   
      COMMON/B4/DCMX,DCNTBL(10),DCITBL(10),DCFRMTB(10),DCGP(10)   
      EQUIVALENCE (DCGP,IDSDC)
      INTEGER DFMX    ,DFNTBL(10),DFITBL(10),DFFRMTB(10)           
      DATA DFMX/1/            
      DATA DFNTBL/1,11,8*0/   
      DATA DFITBL/1,9*0/      
      DATA DFFRMTB/1,9*0/     
C                             
C                             
      ENTRY SETPSP            
      DCMX=DFMX               
      CALL IMOVE(DCNTBL,DFNTBL,10)  
      CALL IMOVE(DCITBL,DFITBL,10)  
      CALL IMOVE(DCFRMTB,DFFRMTB,10)
      RETURN                        
C                                   
      ENTRY IPSPEED                 

      IF(W(175) .NE. 0.) THEN
           PRINT*,' Model check number mismatch: '
           STOP ' W(175) should be 0 if you are using model NPSPEED.'
      ENDIF

      MODC(3)=7HNPSPEED   
      MODC(4)= w(177)
      RETURN              
C                         
      ENTRY PSPEED        
      RETURN              
      END                 
